import request from '/@/utils/request';
import {
	PostInvestmentEvaluation,
	ProjectInvestmentInfo,
	requestData,
	thePostVoteListReturnsData,
} from '/@/views/invBid/postInvestmentEvaluation/interface/type';
//添加投后评价
export function addInvestmentEvaluation(data: PostInvestmentEvaluation) {
	return request({
		url: '/admin/investmentProjectsPlan/addEvaluation',
		method: 'post',
		data
	})
}
// 查看投后评价
export function getInvestmentEvaluationView(id: number|string) {
	return request<ProjectInvestmentInfo>({
		url: '/admin/investmentProjectsPlan/investmentEvaluationView',
		method: 'get',
		params:{
			id:id
		}
	})
}

// 列表
// /admin/investmentProjectsPlan/afterInvestmentPage
export function getInvestmentEvaluationList(data: requestData) {
	return request<thePostVoteListReturnsData>({
		url: '/admin/investmentProjectsPlan/afterInvestmentPage',
		method: 'post',
		data
	})
}